"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreatePlatformApplication_1 = require("../model/operations/CreatePlatformApplication");
var CreatePlatformApplicationCommand = /** @class */ (function () {
    function CreatePlatformApplicationCommand(input) {
        this.input = input;
        this.model = CreatePlatformApplication_1.CreatePlatformApplication;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreatePlatformApplicationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreatePlatformApplicationCommand;
}());
exports.CreatePlatformApplicationCommand = CreatePlatformApplicationCommand;
//# sourceMappingURL=CreatePlatformApplicationCommand.js.map