"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListPlatformApplications_1 = require("../model/operations/ListPlatformApplications");
var ListPlatformApplicationsCommand = /** @class */ (function () {
    function ListPlatformApplicationsCommand(input) {
        this.input = input;
        this.model = ListPlatformApplications_1.ListPlatformApplications;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListPlatformApplicationsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListPlatformApplicationsCommand;
}());
exports.ListPlatformApplicationsCommand = ListPlatformApplicationsCommand;
//# sourceMappingURL=ListPlatformApplicationsCommand.js.map