"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListSubscriptions_1 = require("../model/operations/ListSubscriptions");
var ListSubscriptionsCommand = /** @class */ (function () {
    function ListSubscriptionsCommand(input) {
        this.input = input;
        this.model = ListSubscriptions_1.ListSubscriptions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListSubscriptionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListSubscriptionsCommand;
}());
exports.ListSubscriptionsCommand = ListSubscriptionsCommand;
//# sourceMappingURL=ListSubscriptionsCommand.js.map